GNU logs - #33151, boring messages


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33151: 'guix substitute' returns a 504 error without trying to use other servers
Resent-From: =?UTF-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 25 Oct 2018 15:32:01 +0000
Resent-Message-ID: <handler.33151.B.15404815193892 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 33151
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: 33151 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-guix@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.15404815193892
          (code B ref -1); Thu, 25 Oct 2018 15:32:01 +0000
Received: (at submit) by debbugs.gnu.org; 25 Oct 2018 15:31:59 +0000
Received: from localhost ([127.0.0.1]:42605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gFhc6-00010N-AQ
	for submit <at> debbugs.gnu.org; Thu, 25 Oct 2018 11:31:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement@HIDDEN>) id 1gFhc4-0000x1-Pq
 for submit <at> debbugs.gnu.org; Thu, 25 Oct 2018 11:31:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <clement@HIDDEN>) id 1gFhbw-0000ZX-EQ
 for submit <at> debbugs.gnu.org; Thu, 25 Oct 2018 11:31:51 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40684)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <clement@HIDDEN>)
 id 1gFhbv-0000ZE-PL
 for submit <at> debbugs.gnu.org; Thu, 25 Oct 2018 11:31:48 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:45947)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <clement@HIDDEN>) id 1gFhbu-0003qF-JC
 for bug-guix@HIDDEN; Thu, 25 Oct 2018 11:31:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <clement@HIDDEN>) id 1gFhbn-0000Ut-8n
 for bug-guix@HIDDEN; Thu, 25 Oct 2018 11:31:46 -0400
Received: from mail.lassieur.org ([83.152.10.219]:42066)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <clement@HIDDEN>)
 id 1gFhbm-0000T3-VL
 for bug-guix@HIDDEN; Thu, 25 Oct 2018 11:31:39 -0400
Received: from newt (smtp.parrot.biz [62.23.167.188])
 by mail.lassieur.org (OpenSMTPD) with ESMTPSA id 3d0634a7
 (TLSv1.2:ECDHE-RSA-CHACHA20-POLY1305:256:NO) for <bug-guix@HIDDEN>;
 Thu, 25 Oct 2018 15:31:10 +0000 (UTC)
User-agent: mu4e 1.0; emacs 26.1
From: =?UTF-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
Date: Thu, 25 Oct 2018 17:31:34 +0200
Message-ID: <87h8haf3ft.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

Hi,

I get a 504 error while installing Octave, even though Octave is built
on my substitute server (cuirass.lassieur.org), and I cleared the cache.

I think it should automatically fallback on another substitute server if
one of them is down.

--8<---------------cut here---------------start------------->8---
substitute: updating substitutes from 'https://cuirass.lassieur.org'... 100=
.0%
substitute: updating substitutes from 'https://mirror.hydra.gnu.org'... 100=
.0%
substitute: updating substitutes from 'https://bayfront.guixsd.org'... 100.=
0%
substitute: updating substitutes from 'https://cuirass.lassieur.org'... 100=
.0%
substitute: updating substitutes from 'https://mirror.hydra.gnu.org'... 100=
.0%
substitute: updating substitutes from 'https://bayfront.guixsd.org'... 100.=
0%
substitute: updating substitutes from 'https://berlin.guixsd.org'... 100.0%
The following derivations will be built:
   /gnu/store/nk57a8qz74xnxqd2imxkgsxf2wynhdh9-profile.drv
   /gnu/store/zb57j7xxqwp551xcq7v703334hq2kcvw-fonts-dir.drv
   /gnu/store/w23wv5s58p1amjyxbdwmvmvzqzl5s7kh-xdg-mime-database.drv
   /gnu/store/qw3f7ardwva1r0vcxibv3wpbdhd6wd1z-xdg-desktop-database.drv
   /gnu/store/nr8y1gsyw1a2sc033qgn4i2n2537akl9-ca-certificate-bundle.drv
   /gnu/store/mf8jfsrg2324wjwh3c10lnbx0ch1amr0-gtk-im-modules.drv
   /gnu/store/kkvsygfry98lnfl4j2m6c23lfvnvbf1x-glib-schemas.drv
   /gnu/store/89lndcfdvd0k3y1gg2k4zmj4x9m2jvsl-gtk-icon-themes.drv
   /gnu/store/7m8196z2sm1cbwi5hlq7m0w25d0cizb7-info-dir.drv
   /gnu/store/i4my5nh2k8i4hc854s8lig4qfcccnsvz-graphviz-2.40.1.drv
   /gnu/store/3xi9isbhzzwyvw0cc5j2da6cbnic7z89-graphicsmagick-1.3.30.drv
   /gnu/store/9z6fsci062frwg5gjylbk916vxbx4y7q-gl2ps-1.4.0.drv
   /gnu/store/2x7lfxnz8kjxpki7myffingc4falxg6r-manual-database.drv
   /gnu/store/3fyvy9i8i6j7rk1f5rpxvrp3yp4hfiaj-octave-4.4.1.drv
20,8 MB will be downloaded:
   /gnu/store/9s72xm4slmqjn62j82y036i730pkf5sa-octave-4.4.1
   /gnu/store/7hv88pwzwwcasvfgf80kjajkglpz8mgv-suitesparse-4.5.5
building /gnu/store/9z6fsci062frwg5gjylbk916vxbx4y7q-gl2ps-1.4.0.drv...
guix substitute: error: download from 'https://mirror.hydra.gnu.org/guix/na=
r/gzip/9xwrnm3vymsf9w17ayc7dfp5cl1aykq5-metis-5.1.0' failed: 504, "Gateway =
Time-out"
substitution of /gnu/store/9xwrnm3vymsf9w17ayc7dfp5cl1aykq5-metis-5.1.0 fai=
led
building /gnu/store/i4my5nh2k8i4hc854s8lig4qfcccnsvz-graphviz-2.40.1.drv...
guix package: error: build failed: some substitutes for the outputs of deri=
vation `/gnu/store/wj0y6b1cbqjhkfa074kgvgrbnz7ay9sw-octave-4.4.1.drv' faile=
d (usually happens due to networking issues); try `--fallback' to build der=
ivation from source=20
--8<---------------cut here---------------end--------------->8---

Cheers,
Cl=C3=A9ment




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: =?UTF-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
Subject: bug#33151: Acknowledgement ('guix substitute' returns a 504 error
 without trying to use other servers)
Message-ID: <handler.33151.B.15404815193892.ack <at> debbugs.gnu.org>
References: <87h8haf3ft.fsf@HIDDEN>
X-Gnu-PR-Message: ack 33151
X-Gnu-PR-Package: guix
Reply-To: 33151 <at> debbugs.gnu.org
Date: Thu, 25 Oct 2018 15:32:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-guix@HIDDEN

If you wish to submit further information on this problem, please
send it to 33151 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
33151: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D33151
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33151: 'guix substitute' returns a 504 error without trying to use other servers
Resent-From: ludo@HIDDEN (Ludovic =?UTF-8?Q?Court=C3=A8s?=)
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Fri, 26 Oct 2018 17:51:01 +0000
Resent-Message-ID: <handler.33151.B33151.15405762491276 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33151
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: =?UTF-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
Cc: 33151 <at> debbugs.gnu.org
Received: via spool by 33151-submit <at> debbugs.gnu.org id=B33151.15405762491276
          (code B ref 33151); Fri, 26 Oct 2018 17:51:01 +0000
Received: (at 33151) by debbugs.gnu.org; 26 Oct 2018 17:50:49 +0000
Received: from localhost ([127.0.0.1]:44327 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gG6G1-0000KW-5g
	for submit <at> debbugs.gnu.org; Fri, 26 Oct 2018 13:50:49 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55615)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gG6Fz-0000KI-9S
 for 33151 <at> debbugs.gnu.org; Fri, 26 Oct 2018 13:50:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gG6Fp-0003W9-R3
 for 33151 <at> debbugs.gnu.org; Fri, 26 Oct 2018 13:50:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36139)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gG6Fn-0003QD-4f; Fri, 26 Oct 2018 13:50:36 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=48256 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gG6Fm-0007wd-PB; Fri, 26 Oct 2018 13:50:35 -0400
From: ludo@HIDDEN (Ludovic =?UTF-8?Q?Court=C3=A8s?=)
References: <87h8haf3ft.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 5 Brumaire an 227 de la =?UTF-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 26 Oct 2018 19:50:33 +0200
In-Reply-To: <87h8haf3ft.fsf@HIDDEN> ("=?UTF-8?Q?Cl=C3=A9ment?=
 Lassieur"'s message of "Thu, 25 Oct 2018 17:31:34 +0200")
Message-ID: <87h8h8d2c6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello!

Cl=C3=A9ment Lassieur <clement@HIDDEN> skribis:

> guix substitute: error: download from 'https://mirror.hydra.gnu.org/guix/=
nar/gzip/9xwrnm3vymsf9w17ayc7dfp5cl1aykq5-metis-5.1.0' failed: 504, "Gatewa=
y Time-out"
> substitution of /gnu/store/9xwrnm3vymsf9w17ayc7dfp5cl1aykq5-metis-5.1.0 f=
ailed

The problem is that hydra.gnu.org is currently down=C2=B9 and
mirror.hydra.gnu.org is just proxying it.

What happens here is that
<https://mirror.hydra.gnu.org/9xwrnm3vymsf9w17ayc7dfp5cl1aykq5.narinfo>
is available (cached), whereas the corresponding
<https://mirror.hydra.gnu.org/guix/nar/gzip/9xwrnm3vymsf9w17ayc7dfp5cl1aykq=
5-metis-5.1.0>
is not.

I don=E2=80=99t have a good solution to this other than temporarily removing
mirror.hydra.gnu.org from your substitute URLs.

HTH,
Ludo=E2=80=99.

=C2=B9 https://lists.gnu.org/archive/html/guix-devel/2018-10/msg00434.html




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33151: 'guix substitute' returns a 504 error without trying to use other servers
Resent-From: =?UTF-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Sat, 27 Oct 2018 01:12:01 +0000
Resent-Message-ID: <handler.33151.B33151.15406027008250 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33151
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Cc: 33151 <at> debbugs.gnu.org
Received: via spool by 33151-submit <at> debbugs.gnu.org id=B33151.15406027008250
          (code B ref 33151); Sat, 27 Oct 2018 01:12:01 +0000
Received: (at 33151) by debbugs.gnu.org; 27 Oct 2018 01:11:40 +0000
Received: from localhost ([127.0.0.1]:44453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gGD8d-00028z-Tf
	for submit <at> debbugs.gnu.org; Fri, 26 Oct 2018 21:11:40 -0400
Received: from mail.lassieur.org ([83.152.10.219]:33000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement@HIDDEN>) id 1gGD8b-00028q-7F
 for 33151 <at> debbugs.gnu.org; Fri, 26 Oct 2018 21:11:37 -0400
Received: from rodion (88.191.118.83 [88.191.118.83])
 by mail.lassieur.org (OpenSMTPD) with ESMTPSA id d3074982
 (TLSv1.2:ECDHE-RSA-CHACHA20-POLY1305:256:NO); 
 Sat, 27 Oct 2018 01:10:56 +0000 (UTC)
References: <87h8haf3ft.fsf@HIDDEN> <87h8h8d2c6.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: =?UTF-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
In-reply-to: <87h8h8d2c6.fsf@HIDDEN>
Date: Sat, 27 Oct 2018 03:11:35 +0200
Message-ID: <87ftws6vnc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Ludovic, thank you for this explanation!

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hello!
>
> Cl=C3=A9ment Lassieur <clement@HIDDEN> skribis:
>
>> guix substitute: error: download from 'https://mirror.hydra.gnu.org/guix=
/nar/gzip/9xwrnm3vymsf9w17ayc7dfp5cl1aykq5-metis-5.1.0' failed: 504, "Gatew=
ay Time-out"
>> substitution of /gnu/store/9xwrnm3vymsf9w17ayc7dfp5cl1aykq5-metis-5.1.0 =
failed
>
> The problem is that hydra.gnu.org is currently down=C2=B9 and
> mirror.hydra.gnu.org is just proxying it.
>
> What happens here is that
> <https://mirror.hydra.gnu.org/9xwrnm3vymsf9w17ayc7dfp5cl1aykq5.narinfo>
> is available (cached), whereas the corresponding
> <https://mirror.hydra.gnu.org/guix/nar/gzip/9xwrnm3vymsf9w17ayc7dfp5cl1ay=
kq5-metis-5.1.0>
> is not.
>
> I don=E2=80=99t have a good solution to this other than temporarily remov=
ing
> mirror.hydra.gnu.org from your substitute URLs.
>
> HTH,
> Ludo=E2=80=99.
>
> =C2=B9 https://lists.gnu.org/archive/html/guix-devel/2018-10/msg00434.html





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 3 Nov 2018 13:56:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 03 09:56:18 2018
Received: from localhost ([127.0.0.1]:33040 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gIwPR-000073-Vm
	for submit <at> debbugs.gnu.org; Sat, 03 Nov 2018 09:56:18 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46311)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gIwPQ-00006r-Dn
 for control <at> debbugs.gnu.org; Sat, 03 Nov 2018 09:56:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gIwPI-0002Qu-5T
 for control <at> debbugs.gnu.org; Sat, 03 Nov 2018 09:56:10 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:39367)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gIwPB-0002M4-TW
 for control <at> debbugs.gnu.org; Sat, 03 Nov 2018 09:56:04 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=56492 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>) id 1gIwPA-0007fi-Qe
 for control <at> debbugs.gnu.org; Sat, 03 Nov 2018 09:56:01 -0400
Date: Sat, 03 Nov 2018 14:55:59 +0100
Message-Id: <875zxeqn80.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: control message for bug #33151
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

tags 33151 fixed
close 33151 




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 3 Nov 2018 13:56:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 03 09:56:18 2018
Received: from localhost ([127.0.0.1]:33040 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gIwPR-000073-Vm
	for submit <at> debbugs.gnu.org; Sat, 03 Nov 2018 09:56:18 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46311)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gIwPQ-00006r-Dn
 for control <at> debbugs.gnu.org; Sat, 03 Nov 2018 09:56:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gIwPI-0002Qu-5T
 for control <at> debbugs.gnu.org; Sat, 03 Nov 2018 09:56:10 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:39367)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gIwPB-0002M4-TW
 for control <at> debbugs.gnu.org; Sat, 03 Nov 2018 09:56:04 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=56492 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>) id 1gIwPA-0007fi-Qe
 for control <at> debbugs.gnu.org; Sat, 03 Nov 2018 09:56:01 -0400
Date: Sat, 03 Nov 2018 14:55:59 +0100
Message-Id: <875zxeqn80.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: control message for bug #33151
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

tags 33151 fixed
close 33151 




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33151: 'guix substitute' returns a 504 error without trying to use other servers
Resent-From: =?UTF-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Mon, 05 Nov 2018 10:54:01 +0000
Resent-Message-ID: <handler.33151.B33151.154141520212095 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33151
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: fixed
To: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Cc: 33151 <at> debbugs.gnu.org
Received: via spool by 33151-submit <at> debbugs.gnu.org id=B33151.154141520212095
          (code B ref 33151); Mon, 05 Nov 2018 10:54:01 +0000
Received: (at 33151) by debbugs.gnu.org; 5 Nov 2018 10:53:22 +0000
Received: from localhost ([127.0.0.1]:34628 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJcVW-000391-5C
	for submit <at> debbugs.gnu.org; Mon, 05 Nov 2018 05:53:22 -0500
Received: from mail.lassieur.org ([83.152.10.219]:42356)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement@HIDDEN>) id 1gJcVT-00038m-IV
 for 33151 <at> debbugs.gnu.org; Mon, 05 Nov 2018 05:53:20 -0500
Received: from newt (smtp.parrot.biz [62.23.167.188])
 by mail.lassieur.org (OpenSMTPD) with ESMTPSA id d5bc5552
 (TLSv1.2:ECDHE-RSA-CHACHA20-POLY1305:256:NO); 
 Mon, 5 Nov 2018 10:50:55 +0000 (UTC)
References: <87h8haf3ft.fsf@HIDDEN> <87h8h8d2c6.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: =?UTF-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
In-reply-to: <87h8h8d2c6.fsf@HIDDEN>
Date: Mon, 05 Nov 2018 11:53:15 +0100
Message-ID: <87muqnn6ck.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Ludovic,

I don't understand why you closed the bug report.  Your explanation of
the bug makes sense, but it doesn't mean that it's fixed.

I expect that when a substitute server is down, for whatever reason,
Guix should still work smoothly if there is another server set up.

If you think there is no way to fix it, maybe the tag "wontfix" would be
more appropriate?

Cheers,
Cl=C3=A9ment

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hello!
>
> Cl=C3=A9ment Lassieur <clement@HIDDEN> skribis:
>
>> guix substitute: error: download from 'https://mirror.hydra.gnu.org/guix=
/nar/gzip/9xwrnm3vymsf9w17ayc7dfp5cl1aykq5-metis-5.1.0' failed: 504, "Gatew=
ay Time-out"
>> substitution of /gnu/store/9xwrnm3vymsf9w17ayc7dfp5cl1aykq5-metis-5.1.0 =
failed
>
> The problem is that hydra.gnu.org is currently down=C2=B9 and
> mirror.hydra.gnu.org is just proxying it.
>
> What happens here is that
> <https://mirror.hydra.gnu.org/9xwrnm3vymsf9w17ayc7dfp5cl1aykq5.narinfo>
> is available (cached), whereas the corresponding
> <https://mirror.hydra.gnu.org/guix/nar/gzip/9xwrnm3vymsf9w17ayc7dfp5cl1ay=
kq5-metis-5.1.0>
> is not.
>
> I don=E2=80=99t have a good solution to this other than temporarily remov=
ing
> mirror.hydra.gnu.org from your substitute URLs.
>
> HTH,
> Ludo=E2=80=99.
>
> =C2=B9 https://lists.gnu.org/archive/html/guix-devel/2018-10/msg00434.html





Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: Did not alter fixed versions and reopened.
Date: Mon, 05 Nov 2018 21:33:01 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# Did not alter fixed versions and reopened.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33151: 'guix substitute' returns a 504 error without trying to use other servers
Resent-From: ludo@HIDDEN (Ludovic =?UTF-8?Q?Court=C3=A8s?=)
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Mon, 05 Nov 2018 21:34:01 +0000
Resent-Message-ID: <handler.33151.B33151.154145361215261 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33151
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: fixed
To: =?UTF-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
Cc: 33151 <at> debbugs.gnu.org
Received: via spool by 33151-submit <at> debbugs.gnu.org id=B33151.154145361215261
          (code B ref 33151); Mon, 05 Nov 2018 21:34:01 +0000
Received: (at 33151) by debbugs.gnu.org; 5 Nov 2018 21:33:32 +0000
Received: from localhost ([127.0.0.1]:35771 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJmV2-0003y5-6s
	for submit <at> debbugs.gnu.org; Mon, 05 Nov 2018 16:33:32 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52896)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gJmV0-0003xs-B0
 for 33151 <at> debbugs.gnu.org; Mon, 05 Nov 2018 16:33:30 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gJmUt-0004wu-4C
 for 33151 <at> debbugs.gnu.org; Mon, 05 Nov 2018 16:33:24 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36584)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gJmUs-0004wp-7U; Mon, 05 Nov 2018 16:33:23 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=57782 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gJmUo-0000g1-DM; Mon, 05 Nov 2018 16:33:20 -0500
From: ludo@HIDDEN (Ludovic =?UTF-8?Q?Court=C3=A8s?=)
References: <87h8haf3ft.fsf@HIDDEN> <87h8h8d2c6.fsf@HIDDEN>
 <87muqnn6ck.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 15 Brumaire an 227 de la =?UTF-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 05 Nov 2018 22:33:16 +0100
In-Reply-To: <87muqnn6ck.fsf@HIDDEN> ("=?UTF-8?Q?Cl=C3=A9ment?=
 Lassieur"'s message of "Mon, 05 Nov 2018 11:53:15 +0100")
Message-ID: <87zhunw6oz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello Cl=C3=A9ment,

Cl=C3=A9ment Lassieur <clement@HIDDEN> skribis:

> I don't understand why you closed the bug report.  Your explanation of
> the bug makes sense, but it doesn't mean that it's fixed.
>
> I expect that when a substitute server is down, for whatever reason,
> Guix should still work smoothly if there is another server set up.
>
> If you think there is no way to fix it, maybe the tag "wontfix" would be
> more appropriate?

No I think you=E2=80=99re right, I shouldn=E2=80=99t have closed it.

I think my first thought was that the problem (narinfo available but
corresponding nar missing) was mostly due to our peculiar nginx setup on
mirror.hydra.gnu.org: this cannot happen under normal circumstances
because =E2=80=98guix publish=E2=80=99 really honors the expiry it sets on =
narinfos.

That said, we could fix =E2=80=98process-substitution=E2=80=99 in (guix scr=
ipts
substitute) to try other nar URLs (if any) upon failure.

IMO such a fix is not =E2=80=9Chigh-priority=E2=80=9D for the reason I gave=
 above, but
OTOH it can be helpful to better cope with the sad reality of situations
like the one we=E2=80=99re in.

Thoughts?

Thanks for the heads-up, and sorry for hitting the =E2=80=9Cclose=E2=80=9D =
button too
quickly!

Ludo=E2=80=99.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 10 Nov 2018 14:55:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 10 09:55:34 2018
Received: from localhost ([127.0.0.1]:44851 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gLUfe-0007U3-0L
	for submit <at> debbugs.gnu.org; Sat, 10 Nov 2018 09:55:34 -0500
Received: from mail.lassieur.org ([83.152.10.219]:35280)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement@HIDDEN>) id 1gLUfa-0007Tt-46
 for control <at> debbugs.gnu.org; Sat, 10 Nov 2018 09:55:30 -0500
Received: from rodion (88.191.118.83 [88.191.118.83])
 by mail.lassieur.org (OpenSMTPD) with ESMTPSA id 4a686ced
 (TLSv1.2:ECDHE-RSA-CHACHA20-POLY1305:256:NO)
 for <control <at> debbugs.gnu.org>; Sat, 10 Nov 2018 14:52:12 +0000 (UTC)
Date: Sat, 10 Nov 2018 15:55:27 +0100
Message-Id: <87muqhvv6o.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: clement@HIDDEN (=?utf-8?Q?Cl=C3=A9ment?= Lassieur)
Subject: control message for bug #33151
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 33151 - fixed





Last modified: Sat, 10 Nov 2018 15:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.